
Summary: DVI Previewer for the X Window System
Name: xdvik
%define __version 20c
Version: %{__version}jp
Release: 5.0a
Source: ftp://ftp.u-aizu.ac.jp/pub/tex/CTAN/dviware/xdvik/xdvik-%{__version}.tar.gz
Patch0: ftp://sp.sk.tsukuba.ac.jp/pub/tex/xdvik-20c/xdvik%{__version}-j1.0p0c.patch.gz
Patch1: localhost:/xdvik-%{__version}-xaw3d.patch
Patch2: localhost:/xdvik-%{__version}-shrink.patch
Patch3: localhost:/xdvik-%{__version}-macosx.patch
Copyright: GPL2 ܸб patch ˴ؤƤϡREADME.xdvik20a-j1.1.patchɤ߲
Group: Applications/Publishing/TeX
BuildRoot: %{_tmppath}/xdvik-root
Distribution: Japanese RPM (JRPM)
Vendor: Linux Japanese RPM Project
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
# Summary(ja): X Window System ư DVI եץӥ塼

%changelog
* Thu Apr 26 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.0.01

* Wed Oct 7 1998 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- adjusted panel width for xaw3d
- changed shrink factors
- removed rpm-2.5x features.

* Wed Sep 17 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 4.0
- /usr/local -> /usr 
- VFlib2 б

* Sat Aug 22 1998 Atsushi Yamagata <yamagata@plathome.co.jp>
- Release 3.1
- Summary tag1Хʸѹ(ܸrpm-2.5.2ǥ顼Ȥʤ)
- ޥversionverѹ(Version tagʸ֤ѤäƤޤ)

* Sun May 31 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 3.
- Added EXT_LIB=-lXext (for ppc)

* Sun May 24 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 2.
- ĶRedHat 5.0 
- Group:  Applications/Publishing/TeX ˽

* Wed Apr 27 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 20cjp
- Release: 1
- ܸбѥå(xdvik20c-j1.0p0c.patch.gz) 
- changed Group: tag (=> Applications/TeX)
- added Prereq: tag

* Wed Jan 21 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 4th Release.
- ܸбѥå(to xdvik20a-j1.1p15.patch.gz) 

* Tue Jan 6 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 3rd Release.
- ܸбѥå(to xdvik20a-j1.1p13.patch.gz) 
- ǥեȤvfontmapκ
- configure option  --with-x-toolkit=yes ɲ

* Fri Dec 19 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 2nd Release.
- ܸбѥå(to xdvik20a-j1.1p11.patch.gz) 

* Wed Nov 19 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 20ajp
- 1st Release.
-  5th  4thʤΤľ

* Thu Oct 2 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 5th Release.
- Group: typoν

* Wed Oct 1 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 4th Release.
- ɥȥեν夲

* Mon Sep 16 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 3rd Release.
- patch*.orig ե
- BuildRoot: ѹ

* Mon Sep 10 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 2nd Release.
- CFLAGSԶ

* Mon Sep 8 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 1st Release.

%description
Xdvi is a program which runs under the X window system. It is used to
preview DVI files, such as those produced by TeX.

# %description -l ja
# Xdvi ϡX window system ưޤTeX줿DVIե
# Υץӥ塼ȤƻѤޤ


%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/texmf/xdvi

%setup -q -n xdvik-%{__version}
gzip -dc  ${RPM_SOURCE_DIR}/xdvik%{__version}-j1.0p0c.patch.gz | patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%ifos darwin 
cp /usr/share/libtool/config.guess .
cp /usr/share/libtool/config.sub .
%endif

find ./ -name "*.orig" -exec rm -f {} \;

%build
%ifos darwin
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{_prefix} --enable-shared --with-dvifilter=dvips --disable-static --with-x-toolkit=yes
%else
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{_prefix} --host=${RPM_ARCH}-JRPM-linux --enable-shared --with-dvifilter=dvips --disable-static --with-x-toolkit=yes
%endif

sed 's@/usr/local/share@%{_prefix}/share@' xdvik/xdvi-config.h  > xdvi-config.h.tmp
mv -f xdvi-config.h.tmp xdvik/xdvi-config.h

%ifnos darwin
# <-- ̣??
sed 's@/usr/local/etc@/etc@' xdvik/mime.c > mime.c.tmp
mv -f  mime.c.tmp xdvik/mime.c

echo '#define W3C_ICONS		"/usr/share/w3c-icons"' >> libwww/config.h
echo '#define SERVER_FILE	"/usr/lib/rn/server"' >> libwww/config.h
# -->
%endif

%ifarch sparc ppc darwin
EXT_LIB=-lXext
%endif
make    VFLIB="-L%{_prefix}/lib -lVFlib2 -lttf" \
	XDEFS="-DA4 -DNOTEXXET -DVI_KEY -DPTEX -DCOLOR -DBDPI=300 -DSHRINK=\\\"5\\\" -DSMALL_PANEL" \
	x_ext_lib="$EXT_LIB"

%install
make prefix=${RPM_BUILD_ROOT}%{_prefix} texmf=${RPM_BUILD_ROOT}%{_prefix}/share/texmf install

strip ${RPM_BUILD_ROOT}%{_prefix}/bin/xdvi.bin


cat > ${RPM_BUILD_ROOT}%{_prefix}/share/texmf/xdvi/vfontmap << EOF
min     min     # for ASCII
nmin    min     # for ASCII
goth    goth    # for ASCII
ngoth   goth    # for ASCII
EOF

%post -p %{_prefix}/bin/mktexlsr

%postun -p %{_prefix}/bin/mktexlsr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc etc
%doc xdvik/AUTHORS xdvik/ChangeLog xdvik/ChangeLog.xdvik20a-j1.1
%doc xdvik/INSTALL xdvik/MOTIF xdvik/NEWS
%doc xdvik/README xdvik/README.xdvik20a-j1.1.patch
%doc xdvik/READMEs  xdvik/xdvi.FAQ
%doc xdvik/README.xdvik20c-j1.0p0.patch
%doc xdvik/ChangeLog.xdvik20c-j1.0
%config %{_prefix}/share/texmf/xdvi/xdvipaper.dvi2ps-j
%config %{_prefix}/share/texmf/xdvi/xdvipaper.dvips
%config %{_prefix}/share/texmf/xdvi/xdvipaper.jdvi2kps   
%config %{_prefix}/share/texmf/xdvi/vfontmap
#%{_prefix}/share/texmf/dvips/render.ps
#%{_prefix}/bin/gsftopk
%{_prefix}/bin/xdvi
%{_prefix}/bin/xdvi.bin
%{_prefix}/man/man1/xdvi.1
#%{_prefix}/man/man1/gsftopk.1

